package intrinsic.mx.collections;

public interface IList extends intrinsic.flash.events.IEventDispatcher {

	/** Accessors */
//	public int length;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public Object removeItemAt(int arg0);
public void removeAll();
public void addItem(Object arg0);
public void itemUpdated(Object arg0);
public void itemUpdated(Object arg0, Object arg1);
public void itemUpdated(Object arg0, Object arg1, Object arg2);
public void itemUpdated(Object arg0, Object arg1, Object arg2, Object arg3);
public Object getItemAt(int arg0);
public Object getItemAt(int arg0, int arg1);
public intrinsic.Array toArray();
public int getItemIndex(Object arg0);
public Object setItemAt(Object arg0, int arg1);
public void addItemAt(Object arg0, int arg1);

}
